import moment from'moment';const calculateCost = (payRate, hours) => {
    const cost = payRate * hours;
    return cost;
};
const calculateProfit = (payRate, billRate, hours) => {
    const profit = billRate * hours - payRate * hours;
    return profit;
};
const capitalize = (word) => {
    const lower = word.toLowerCase();
    return word.charAt(0).toUpperCase() + lower.slice(1);
};
const calcDurationTimeMilliSec = (startTime, endTime) => {
    return Math.floor(moment(endTime).valueOf() - moment(startTime).valueOf());
};
const calculateTimeDurationSec = (startTime, endTime, pauseStatus) => {
    const totalDur = calcDurationTimeMilliSec(startTime, endTime);
    if (!pauseStatus) {
        return Math.floor(totalDur / 1000);
    }
    let pauseDur = 0;
    pauseStatus.forEach(({ pausedTime, restartTime }) => {
        if (pausedTime && restartTime) {
            pauseDur += calcDurationTimeMilliSec(pausedTime, restartTime);
        }
        else if (pausedTime && !restartTime) {
            if (endTime) {
                pauseDur += calcDurationTimeMilliSec(pausedTime, endTime);
            }
            else {
                pauseDur += calcDurationTimeMilliSec(pausedTime, moment().format());
            }
        }
    });
    return Math.floor((totalDur - pauseDur) / 1000);
};export{calcDurationTimeMilliSec,calculateCost,calculateProfit,calculateTimeDurationSec,capitalize};//# sourceMappingURL=calculate.js.map
